"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const base_config_1 = require("./base.config");
exports.default = async () => {
    const dyConfig = await Promise.resolve(`${`./${process.env.NODE_ENV || 'development'}.config`}`).then(s => require(s));
    const res = (0, lodash_1.merge)({}, base_config_1.default, dyConfig.default);
    return res;
};
//# sourceMappingURL=index.js.map