import { CanActivate, ExecutionContext } from '@nestjs/common';
import { ModuleRef, Reflector } from '@nestjs/core';
import { SSOService } from '../provider';
export declare class AuthGuard implements CanActivate {
    private reflector;
    private ssoService;
    private moduleRef;
    constructor(reflector: Reflector, ssoService: SSOService, moduleRef: ModuleRef);
    canActivate(context: ExecutionContext): Promise<boolean>;
    private execPermissionHandler;
}
