"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityEngineSerivce = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const request_1 = require("../request");
let ActivityEngineSerivce = exports.ActivityEngineSerivce = class ActivityEngineSerivce {
    constructor(configService) {
        this.configService = configService;
        this.server = 12;
    }
    async getDailyConfig() {
        const url = `${this.configService.get('activityOrigin')}/dashboard/get_daily_config2`;
        const res = await (0, request_1.request)({
            url,
            method: 'get',
            params: {
                server: this.server,
            },
        });
        return res.data;
    }
    async gitPush(data) {
        const saveUrl = `${this.configService.get('activityOrigin')}/dashboard/set_daily_config2`;
        await (0, request_1.request)({
            url: saveUrl,
            method: 'post',
            headers: {
                'Content-Type': 'multipart/form-data',
            },
            data: {
                server: this.server,
                data: JSON.stringify(data),
            },
        });
        const submitUrl = `${this.configService.get('activityOrigin')}/dashboard/update_act_config`;
        await (0, request_1.request)({
            url: submitUrl,
            method: 'get',
            params: {
                server: this.server,
            },
        });
        return;
    }
    async applyToProcess() {
        const url = `${this.configService.get('activityOrigin')}/dashboard/update_act_config`;
        const res = await (0, request_1.request)({
            url,
            method: 'get',
            params: {
                server: this.server,
            },
        });
        return res.data;
    }
};
exports.ActivityEngineSerivce = ActivityEngineSerivce = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [config_1.ConfigService])
], ActivityEngineSerivce);
//# sourceMappingURL=activity-engine.service.js.map