"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.request = void 0;
const axios_1 = require("axios");
const instance = axios_1.default.create({
    baseURL: '/',
    timeout: 60 * 1000,
});
instance.interceptors.request.use((config) => {
    return config;
}, (err) => {
    return Promise.reject(err);
});
instance.interceptors.response.use((response) => {
    const { status } = response;
    if (status === 200) {
        return response;
    }
    return Promise.reject(response);
}, (err) => {
    return Promise.reject(err);
});
exports.request = instance.request;
//# sourceMappingURL=index.js.map