export interface EngineResActivity {
    name: string;
    url: string;
    recent_cate_num: number;
}
export interface EngineResWishGame {
    id: number;
    name: string;
}
export interface EngineResAcitvityConfig {
    act_category: string;
    act_related: string;
    cate_num: number;
    dab_type_1: 0 | 1;
    dab_type_2: 0 | 1;
    fix: number;
    fix_ac: 0 | 1;
    hottoday: number;
    hottoday_ac: 0 | 1;
    index_of_act: number;
    lobby: number;
    name: string;
    url: string;
    priority_load: boolean;
    time_end: string;
    time_st: string;
    trans: number;
    trans_ac: 0 | 1;
    use_store_info: boolean;
    user_type_A: 0 | 1;
    user_type_B: 0 | 1;
}
export interface EngineResWishGameConfig {
    game_name: string;
}
export interface EngineResDateObj {
    date: string;
    wish_game: EngineResWishGameConfig[];
    activity: EngineResAcitvityConfig[];
    open_card_group: [];
}
export interface EngineConfigRes {
    activities: {
        data: EngineResActivity[];
    }[];
    wish_themes: EngineResWishGame[];
    date_list: EngineResDateObj[];
}
