"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityConfigModule = void 0;
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const wish_game_config_module_1 = require("../wish-game-config/wish-game-config.module");
const index_modules_1 = require("../index.modules");
const activity_config_controller_1 = require("./activity-config.controller");
const activity_config_schema_1 = require("./schemas/activity-config.schema");
const activity_config_service_1 = require("./activity-config.service");
let ActivityConfigModule = exports.ActivityConfigModule = class ActivityConfigModule {
};
exports.ActivityConfigModule = ActivityConfigModule = __decorate([
    (0, common_1.Module)({
        imports: [
            mongoose_1.MongooseModule.forFeature([
                { name: activity_config_schema_1.ActivityConfig.name, schema: activity_config_schema_1.ActivityConfigSchema },
            ]),
            wish_game_config_module_1.WishGameConfigModule,
            index_modules_1.ActivityModule,
        ],
        controllers: [activity_config_controller_1.ActivityConfigController],
        providers: [activity_config_service_1.ActivityConfigService],
    })
], ActivityConfigModule);
//# sourceMappingURL=activity-config.module.js.map