import { MergeType } from 'mongoose';
import { ActivityConfig } from '../schemas/activity-config.schema';
export type ActivityConfigType = MergeType<Pick<ActivityConfig, 'env' | 'serverType' | 'port' | 'activityId' | 'timeSt' | 'timeEnd' | 'transAc' | 'fixAc' | 'hottodayAc' | 'groups' | 'actRelated' | 'useStoreInfo' | 'priorityLoad' | 'actCategory' | 'indexOfAct' | 'lobby' | 'trans' | 'fix' | 'hottoday'>, {
    _id: string;
    activityId: string;
    cateNum: number;
    timeSt: string;
    timeEnd: string;
}>;
export type ActivitySortConfig = Pick<ActivityConfig, '_id' | 'indexOfAct' | 'lobby' | 'trans' | 'fix' | 'hottoday'>;
export interface ActivityConfigInResList extends ActivityConfigType {
    name: string;
    url: string;
}
