"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityConfigSchema = exports.ActivityConfig = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const activity_constant_1 = require("../../../common/constant/activity.constant");
let ActivityConfig = exports.ActivityConfig = class ActivityConfig extends mongoose_2.Document {
};
__decorate([
    (0, mongoose_1.Prop)({ required: true, enum: activity_constant_1.ACTIVITY_ENV }),
    __metadata("design:type", String)
], ActivityConfig.prototype, "env", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, enum: activity_constant_1.SERVER_TYPE }),
    __metadata("design:type", String)
], ActivityConfig.prototype, "serverType", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: -1 }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "port", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true }),
    __metadata("design:type", String)
], ActivityConfig.prototype, "activityId", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true }),
    __metadata("design:type", Date)
], ActivityConfig.prototype, "timeSt", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true }),
    __metadata("design:type", Date)
], ActivityConfig.prototype, "timeEnd", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: 0, enum: [0, 1] }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "transAc", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: 0, enum: [0, 1] }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "fixAc", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: 0, enum: [0, 1] }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "hottodayAc", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: [] }),
    __metadata("design:type", Array)
], ActivityConfig.prototype, "groups", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true }),
    __metadata("design:type", String)
], ActivityConfig.prototype, "actRelated", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: false }),
    __metadata("design:type", Boolean)
], ActivityConfig.prototype, "useStoreInfo", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: false }),
    __metadata("design:type", Boolean)
], ActivityConfig.prototype, "priorityLoad", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true }),
    __metadata("design:type", String)
], ActivityConfig.prototype, "actCategory", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: 1 }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "indexOfAct", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: 1 }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "lobby", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: 1 }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "trans", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: 1 }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "fix", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: 1 }),
    __metadata("design:type", Number)
], ActivityConfig.prototype, "hottoday", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: false }),
    __metadata("design:type", Boolean)
], ActivityConfig.prototype, "isDeleted", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], ActivityConfig.prototype, "creatorId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], ActivityConfig.prototype, "creatorName", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], ActivityConfig.prototype, "updaterId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], ActivityConfig.prototype, "updaterName", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], ActivityConfig.prototype, "createdAt", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], ActivityConfig.prototype, "updatedAt", void 0);
exports.ActivityConfig = ActivityConfig = __decorate([
    (0, mongoose_1.Schema)({
        collection: 'activity_configs',
        timestamps: true,
    })
], ActivityConfig);
exports.ActivityConfigSchema = mongoose_1.SchemaFactory.createForClass(ActivityConfig);
//# sourceMappingURL=activity-config.schema.js.map