"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopywritingErrorModule = void 0;
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const copywriting_error_service_1 = require("./copywriting-error.service");
const copywriting_error_controller_1 = require("./copywriting-error.controller");
const copywriting_error_schema_1 = require("./schemas/copywriting-error.schema");
let CopywritingErrorModule = exports.CopywritingErrorModule = class CopywritingErrorModule {
};
exports.CopywritingErrorModule = CopywritingErrorModule = __decorate([
    (0, common_1.Module)({
        imports: [
            mongoose_1.MongooseModule.forFeature([
                { name: copywriting_error_schema_1.CopywritingError.name, schema: copywriting_error_schema_1.CopywritingErrorSchema },
            ]),
        ],
        controllers: [copywriting_error_controller_1.CopywritingErrorController],
        providers: [copywriting_error_service_1.CopywritingErrorService],
    })
], CopywritingErrorModule);
//# sourceMappingURL=copywriting-error.module.js.map