"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopywritingErrorSchema = exports.CopywritingError = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const len_constant_1 = require("../../../common/constant/len.constant");
const history_schema_1 = require("./history.schema");
let CopywritingError = exports.CopywritingError = class CopywritingError extends mongoose_2.Document {
};
__decorate([
    (0, mongoose_1.Prop)({ required: true, maxlength: len_constant_1.TITLE_MAX }),
    __metadata("design:type", String)
], CopywritingError.prototype, "name", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: '' }),
    __metadata("design:type", String)
], CopywritingError.prototype, "cn", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: '' }),
    __metadata("design:type", String)
], CopywritingError.prototype, "tw", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: '' }),
    __metadata("design:type", String)
], CopywritingError.prototype, "en", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: '', maxlength: len_constant_1.DESC_MAX }),
    __metadata("design:type", String)
], CopywritingError.prototype, "desc", void 0);
__decorate([
    (0, mongoose_1.Prop)((0, mongoose_1.raw)([history_schema_1.HistorySchema])),
    __metadata("design:type", Array)
], CopywritingError.prototype, "history", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], CopywritingError.prototype, "creatorId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], CopywritingError.prototype, "creatorName", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], CopywritingError.prototype, "createdAt", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], CopywritingError.prototype, "updatedAt", void 0);
__decorate([
    (0, mongoose_1.Prop)({
        default: false,
    }),
    __metadata("design:type", Boolean)
], CopywritingError.prototype, "isDeleted", void 0);
exports.CopywritingError = CopywritingError = __decorate([
    (0, mongoose_1.Schema)({
        collection: 'copywriting_errors',
        timestamps: true,
    })
], CopywritingError);
exports.CopywritingErrorSchema = mongoose_1.SchemaFactory.createForClass(CopywritingError);
//# sourceMappingURL=copywriting-error.schema.js.map