"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MODULE_TO_PERMISSION = exports.OPER_TYPE_ENUM = void 0;
const auth_constant_1 = require("../../../common/constant/auth.constant");
exports.OPER_TYPE_ENUM = {
    CN: 'cn',
    TW: 'tw',
    EN: 'en',
    COMMON: 'common',
    ADD: 'add',
};
exports.MODULE_TO_PERMISSION = {
    主题: {
        category: auth_constant_1.PERMISSIONS.CW_THEME_CATEGORY,
        content: auth_constant_1.PERMISSIONS.CW_THEME_CONTENT,
        cn: auth_constant_1.PERMISSIONS.CW_THEME_CN,
        tw: auth_constant_1.PERMISSIONS.CW_THEME_TW,
        en: auth_constant_1.PERMISSIONS.CW_THEME_EN,
    },
    系统: {
        category: auth_constant_1.PERMISSIONS.CW_SYSTEM_CATEGORY,
        content: auth_constant_1.PERMISSIONS.CW_SYSTEM_CONTENT,
        cn: auth_constant_1.PERMISSIONS.CW_SYSTEM_CN,
        tw: auth_constant_1.PERMISSIONS.CW_SYSTEM_TW,
        en: auth_constant_1.PERMISSIONS.CW_SYSTEM_EN,
    },
    航海: {
        category: auth_constant_1.PERMISSIONS.CW_SAIL_CATEGORY,
        content: auth_constant_1.PERMISSIONS.CW_SAIL_CONTENT,
        cn: auth_constant_1.PERMISSIONS.CW_SAIL_CN,
        tw: auth_constant_1.PERMISSIONS.CW_SAIL_TW,
        en: auth_constant_1.PERMISSIONS.CW_SAIL_EN,
    },
};
//# sourceMappingURL=constants.js.map