"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopywritingModule = void 0;
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const copywriting_category_schema_1 = require("../copywriting-category/schemas/copywriting-category.schema");
const copywriting_category_service_1 = require("../copywriting-category/copywriting-category.service");
const copywriting_service_1 = require("./copywriting.service");
const copywriting_controller_1 = require("./copywriting.controller");
const copywriting_schema_1 = require("./schemas/copywriting.schema");
let CopywritingModule = exports.CopywritingModule = class CopywritingModule {
};
exports.CopywritingModule = CopywritingModule = __decorate([
    (0, common_1.Module)({
        imports: [
            mongoose_1.MongooseModule.forFeature([
                { name: copywriting_schema_1.Copywriting.name, schema: copywriting_schema_1.CopywritingSchema },
                { name: copywriting_category_schema_1.CopywritingCategory.name, schema: copywriting_category_schema_1.CopywritingCategorySchema },
            ]),
        ],
        controllers: [copywriting_controller_1.CopywritingController],
        providers: [copywriting_service_1.CopywritingService, copywriting_category_service_1.CopywritingCategoryService],
    })
], CopywritingModule);
//# sourceMappingURL=copywriting.module.js.map