"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WishGameConfigSchema = exports.WishGameConfig = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const activity_constant_1 = require("../../../common/constant/activity.constant");
let WishGameConfig = exports.WishGameConfig = class WishGameConfig extends mongoose_2.Document {
};
__decorate([
    (0, mongoose_1.Prop)({ required: true, enum: activity_constant_1.ACTIVITY_ENV }),
    __metadata("design:type", String)
], WishGameConfig.prototype, "env", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: -1 }),
    __metadata("design:type", Number)
], WishGameConfig.prototype, "port", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true }),
    __metadata("design:type", String)
], WishGameConfig.prototype, "wishGameId", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true }),
    __metadata("design:type", String)
], WishGameConfig.prototype, "date", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: false }),
    __metadata("design:type", Boolean)
], WishGameConfig.prototype, "isDeleted", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], WishGameConfig.prototype, "creatorId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], WishGameConfig.prototype, "creatorName", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], WishGameConfig.prototype, "updaterId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], WishGameConfig.prototype, "updaterName", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], WishGameConfig.prototype, "createdAt", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], WishGameConfig.prototype, "updatedAt", void 0);
exports.WishGameConfig = WishGameConfig = __decorate([
    (0, mongoose_1.Schema)({
        collection: 'wish_game_configs',
        timestamps: true,
    })
], WishGameConfig);
exports.WishGameConfigSchema = mongoose_1.SchemaFactory.createForClass(WishGameConfig);
//# sourceMappingURL=wish-game-config.schema.js.map