"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WishGameModule = void 0;
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const wish_game_controller_1 = require("./wish-game.controller");
const wish_game_schema_1 = require("./schemas/wish-game.schema");
const wish_game_service_1 = require("./wish-game.service");
let WishGameModule = exports.WishGameModule = class WishGameModule {
};
exports.WishGameModule = WishGameModule = __decorate([
    (0, common_1.Module)({
        imports: [
            mongoose_1.MongooseModule.forFeature([
                { name: wish_game_schema_1.WishGame.name, schema: wish_game_schema_1.WishGameSchema },
            ]),
        ],
        controllers: [wish_game_controller_1.WishGameController],
        providers: [wish_game_service_1.WishGameService],
        exports: [wish_game_service_1.WishGameService],
    })
], WishGameModule);
//# sourceMappingURL=wish-game.module.js.map