import { AuthType } from '../types/permission.types';
export declare const AUTH: {
    readonly NONE: "none";
    readonly READ: "read";
    readonly WRITE: "write";
    readonly CREATE: "create";
};
export declare const AUTH_NUMBER: Record<AuthType, number>;
export declare const PERMISSIONS: {
    CW_THEME_CATEGORY: string;
    CW_SYSTEM_CATEGORY: string;
    CW_SAIL_CATEGORY: string;
    CW_THEME_CONTENT: string;
    CW_SYSTEM_CONTENT: string;
    CW_SAIL_CONTENT: string;
    CW_THEME_CN: string;
    CW_SYSTEM_CN: string;
    CW_SAIL_CN: string;
    CW_THEME_TW: string;
    CW_SYSTEM_TW: string;
    CW_SAIL_TW: string;
    CW_THEME_EN: string;
    CW_SYSTEM_EN: string;
    CW_SAIL_EN: string;
    CW_ERROR: string;
};
