"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetErrorMeta = exports.CheckPermission = exports.IsPublic = void 0;
const common_1 = require("@nestjs/common");
const meta_constant_1 = require("../constant/meta.constant");
exports.IsPublic = (0, common_1.SetMetadata)(meta_constant_1.IS_PUBLIC, true);
const CheckPermission = (...handlers) => (0, common_1.SetMetadata)(meta_constant_1.CHECK_PERMISSION, handlers);
exports.CheckPermission = CheckPermission;
const SetErrorMeta = (error) => (0, common_1.SetMetadata)(meta_constant_1.ERROR_META, error);
exports.SetErrorMeta = SetErrorMeta;
//# sourceMappingURL=meta.decorator.js.map