import { NestInterceptor, ExecutionContext, CallHandler } from '@nestjs/common';
import { Observable } from 'rxjs';
import { Logger } from 'winston';
export interface Response<T> {
    data: T;
}
export declare class ResTransformInterceptor<T> implements NestInterceptor<T, Response<T>> {
    private readonly logger;
    constructor(logger: Logger);
    intercept(context: ExecutionContext, next: CallHandler): Observable<Response<T>>;
}
