/// <reference types="qs" />
import { Request } from 'express';
export declare function formatISODate(date: string | Date): string;
export declare function findTerminalNodeInForestList<T extends Record<string, any>, K extends keyof T>(list: T[], id: string, terminalId: string, idProp?: K, parentIdProp?: K): T | undefined;
export declare function getReqMeta(req: Request): {
    url: string;
    host: string | undefined;
    method: string;
    query: import("qs").ParsedQs;
    body: any;
    user: {
        userid: string;
        name: string;
    };
};
