/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Document } from 'mongoose';
export declare class ActivityConfig extends Document {
    env: string;
    serverType: string;
    port: number;
    activityId: string;
    timeSt: Date;
    timeEnd: Date;
    transAc: 0 | 1;
    fixAc: 0 | 1;
    hottodayAc: 0 | 1;
    groups: string[];
    actRelated: string;
    useStoreInfo: boolean;
    priorityLoad: boolean;
    actCategory: string;
    indexOfAct: number;
    lobby: number;
    trans: number;
    fix: number;
    hottoday: number;
    isDeleted: boolean;
    creatorId: string;
    creatorName: string;
    updaterId: string;
    updaterName: string;
    createdAt: Date;
    updatedAt: Date;
}
export declare const ActivityConfigSchema: import("mongoose").Schema<ActivityConfig, import("mongoose").Model<ActivityConfig, any, any, any, Document<unknown, any, ActivityConfig> & Omit<ActivityConfig & {
    _id: import("mongoose").Types.ObjectId;
}, never>, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, ActivityConfig, Document<unknown, {}, import("mongoose").FlatRecord<ActivityConfig>> & Omit<import("mongoose").FlatRecord<ActivityConfig> & {
    _id: import("mongoose").Types.ObjectId;
}, never>>;
