import { MergeType } from 'mongoose';
export declare class LastConfig {
    timeSt: Date;
    timeEnd: Date;
    transAc: number;
    fixAc: number;
    hottodayAc: number;
    groups: string[];
    actRelated: string;
    useStoreInfo: boolean;
    priorityLoad: boolean;
    actCategory: string;
    indexOfAct: number;
    lobby: number;
    trans: number;
    fix: number;
    hottoday: number;
    updaterId: string;
    updaterName: string;
    updatedAt: Date;
}
export type LastConfigType = MergeType<Pick<LastConfig, 'timeSt' | 'timeEnd' | 'transAc' | 'fixAc' | 'hottodayAc' | 'groups' | 'actRelated' | 'useStoreInfo' | 'priorityLoad' | 'actCategory' | 'indexOfAct' | 'lobby' | 'trans' | 'fix' | 'hottoday'>, {
    timeSt: string;
    timeEnd: string;
}>;
