"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopywritingCategorySchema = exports.CopywritingCategory = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const swagger_1 = require("@nestjs/swagger");
const mongoose_2 = require("mongoose");
const len_constant_1 = require("../../../common/constant/len.constant");
let CopywritingCategory = exports.CopywritingCategory = class CopywritingCategory extends mongoose_2.Document {
};
__decorate([
    (0, swagger_1.ApiProperty)(),
    (0, mongoose_1.Prop)({ required: true, maxlength: len_constant_1.TITLE_MAX }),
    __metadata("design:type", String)
], CopywritingCategory.prototype, "label", void 0);
__decorate([
    (0, swagger_1.ApiProperty)(),
    (0, mongoose_1.Prop)({ required: true }),
    __metadata("design:type", String)
], CopywritingCategory.prototype, "parentId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], CopywritingCategory.prototype, "creatorId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], CopywritingCategory.prototype, "creatorName", void 0);
__decorate([
    (0, mongoose_1.Prop)({
        default: false,
    }),
    __metadata("design:type", Boolean)
], CopywritingCategory.prototype, "isDeleted", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Number)
], CopywritingCategory.prototype, "order", void 0);
exports.CopywritingCategory = CopywritingCategory = __decorate([
    (0, mongoose_1.Schema)({
        collection: 'copywriting_categories',
        timestamps: true,
    })
], CopywritingCategory);
exports.CopywritingCategorySchema = mongoose_1.SchemaFactory.createForClass(CopywritingCategory);
//# sourceMappingURL=copywriting-category.schema.js.map