/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Document } from 'mongoose';
import { History } from './history.schema';
export type CopywritingErrorDocument = CopywritingError & Document;
export declare class CopywritingError extends Document {
    name: string;
    cn: string;
    tw: string;
    en: string;
    desc: string;
    history: History[];
    creatorId: string;
    creatorName: string;
    createdAt: Date;
    updatedAt: Date;
    isDeleted: boolean;
}
export declare const CopywritingErrorSchema: import("mongoose").Schema<CopywritingError, import("mongoose").Model<CopywritingError, any, any, any, Document<unknown, any, CopywritingError> & Omit<CopywritingError & {
    _id: import("mongoose").Types.ObjectId;
}, never>, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, CopywritingError, Document<unknown, {}, import("mongoose").FlatRecord<CopywritingError>> & Omit<import("mongoose").FlatRecord<CopywritingError> & {
    _id: import("mongoose").Types.ObjectId;
}, never>>;
