"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WishGameConfigModule = void 0;
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const index_modules_1 = require("../index.modules");
const wish_game_config_service_1 = require("./wish-game-config.service");
const wish_game_config_controller_1 = require("./wish-game-config.controller");
const wish_game_config_schema_1 = require("./schemas/wish-game-config.schema");
let WishGameConfigModule = exports.WishGameConfigModule = class WishGameConfigModule {
};
exports.WishGameConfigModule = WishGameConfigModule = __decorate([
    (0, common_1.Module)({
        imports: [
            mongoose_1.MongooseModule.forFeature([
                { name: wish_game_config_schema_1.WishGameConfig.name, schema: wish_game_config_schema_1.WishGameConfigSchema },
            ]),
            index_modules_1.WishGameModule,
        ],
        controllers: [wish_game_config_controller_1.WishGameConfigController],
        providers: [wish_game_config_service_1.WishGameConfigService],
        exports: [wish_game_config_service_1.WishGameConfigService],
    })
], WishGameConfigModule);
//# sourceMappingURL=wish-game-config.module.js.map