/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { Document } from 'mongoose';
export declare class WishGame extends Document {
    env: string;
    value: string;
    label: string;
    order: number;
    isDeleted: boolean;
    creatorId: string;
    creatorName: string;
    updaterId: string;
    updaterName: string;
    createdAt: Date;
    updatedAt: Date;
}
export declare const WishGameSchema: import("mongoose").Schema<WishGame, import("mongoose").Model<WishGame, any, any, any, Document<unknown, any, WishGame> & Omit<WishGame & {
    _id: import("mongoose").Types.ObjectId;
}, never>, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, WishGame, Document<unknown, {}, import("mongoose").FlatRecord<WishGame>> & Omit<import("mongoose").FlatRecord<WishGame> & {
    _id: import("mongoose").Types.ObjectId;
}, never>>;
