"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WishGameSchema = exports.WishGame = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const len_constant_1 = require("../../../common/constant/len.constant");
const activity_constant_1 = require("../../../common/constant/activity.constant");
let WishGame = exports.WishGame = class WishGame extends mongoose_2.Document {
};
__decorate([
    (0, mongoose_1.Prop)({ required: true, enum: activity_constant_1.ACTIVITY_ENV }),
    __metadata("design:type", String)
], WishGame.prototype, "env", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, maxlength: len_constant_1.TITLE_MAX }),
    __metadata("design:type", String)
], WishGame.prototype, "value", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, maxlength: len_constant_1.TITLE_MAX }),
    __metadata("design:type", String)
], WishGame.prototype, "label", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Number)
], WishGame.prototype, "order", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: false }),
    __metadata("design:type", Boolean)
], WishGame.prototype, "isDeleted", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], WishGame.prototype, "creatorId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], WishGame.prototype, "creatorName", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], WishGame.prototype, "updaterId", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], WishGame.prototype, "updaterName", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], WishGame.prototype, "createdAt", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], WishGame.prototype, "updatedAt", void 0);
exports.WishGame = WishGame = __decorate([
    (0, mongoose_1.Schema)({
        collection: 'wish_games',
        timestamps: true,
    })
], WishGame);
exports.WishGameSchema = mongoose_1.SchemaFactory.createForClass(WishGame);
//# sourceMappingURL=wish-game.schema.js.map